<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;
        }
        img {
            width: 300px;
        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="details">
        <table>
            <?php
            // Check if the 'id' parameter exists and is not empty; if missing, redirect back to search.php
            if (empty($_REQUEST['id'])) {
                header("Location: search.php");
                exit();
            }

            // Debugging output for submitted 'id'
            var_dump($_REQUEST);
            echo "<hr>submitted id: " . $_REQUEST['id'] . "<hr>";

            $host = "webdev.iyaserver.com";
            $userid = "dent_guest";
            $userpw = "Acad276_Dev2Ex@m";
            $db = "dent_exam";

            // Create the MySQL connection
            $mysql = new mysqli($host, $userid, $userpw, $db);

            // Check if the connection has any errors
            if ($mysql->connect_errno) {
                echo "db connection error: " . $mysql->connect_error;
                exit();
            }

            // Build the SQL query to fetch the device details based on the passed device_id
            $sql = "SELECT device_id, name, price, manufacturer, system, type
                    FROM devices, manufacturers, systems, types 
                    WHERE devices.device_id = " . $_REQUEST['id'] . "
                    AND devices.manufacturer_id = manufacturers.manufacturer_id 
                    AND devices.system_id = systems.system_id 
                    AND devices.type_id = types.type_id";

            echo "<hr>SQL:<br>" . $sql . "<hr>";

            // Execute the query
            $results = $mysql->query($sql);

            // Check if the query was successful
            if (!$results) {
                echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
                echo "SQL Error: " . $mysql->error . "<hr>";
                exit();
            }

            // If no results are returned, redirect back to search.php
            if ($results->num_rows == 0) {
                header("Location: search.php");
                exit();
            }

            echo "You have " . $results->num_rows . " search result(s).";

            // Fetch and display the device details
            while ($currentrow = $results->fetch_assoc()) {
                echo "<h1>" . $currentrow["name"] . "</h1>";
                echo "<br>";
                echo "Price: " . $currentrow["price"] . "<br>";
                echo "Manufacturer: " . $currentrow["manufacturer"] . "<br>";
                echo "System: " . $currentrow["system"] . "<br>";
                echo "Type: " . $currentrow["type"] . "<br>";
            }

            ?>
            <tr>
                <td rowspan="5" class="img">
                    <img src="https://image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg" class="img">
                </td>
            </tr>

        </table>
    </div>

</div>
</body>
</html>